Public Member Functions | Public Attributes | List of all members
libmspub::MSPUBParser97::TextInfo97 Struct Reference

## Public Member Functions
| TextInfo97 (const std::vector< unsigned char > &chars, const std::vector< unsigned > &paragraphEnds, const std::vector< unsigned > &shapeEnds)

## Public Attributes
std::vector< unsigned char > | m_chars
std::vector< unsigned > | m_paragraphEnds
std::vector< unsigned > | m_shapeEnds

## Constructor & Destructor Documentation

## ◆ TextInfo97()

libmspub::MSPUBParser97::TextInfo97::TextInfo97 | ( | const std::vector< unsigned char > & | chars,
|  | const std::vector< unsigned > & | paragraphEnds,
|  | const std::vector< unsigned > & | shapeEnds
| ) |  |
| inline

## Member Data Documentation

## ◆ m_chars

std::vector<unsigned char> libmspub::MSPUBParser97::TextInfo97::m_chars

Referenced by libmspub::MSPUBParser97::parseContentsTextIfNecessary().

## ◆ m_paragraphEnds

std::vector<unsigned> libmspub::MSPUBParser97::TextInfo97::m_paragraphEnds

Referenced by libmspub::MSPUBParser97::parseContentsTextIfNecessary().

## ◆ m_shapeEnds

std::vector<unsigned> libmspub::MSPUBParser97::TextInfo97::m_shapeEnds

Referenced by libmspub::MSPUBParser97::parseContentsTextIfNecessary().

The documentation for this struct was generated from the following file:

- MSPUBParser97.h